## org.biojava.bibliography
Class BiblioProvider

    java.lang.Object
      org.biojava.bibliography.BiblioProvider

Direct Known Subclasses:
  BiblioOrganisation, BiblioPerson, BiblioService

    public class BiblioProvider

extends Object

This class and its sub-classes define active participants of the process of creation and dissemination of the bibliographic resources. The most obvious examples are authors, but it includes also publishers and other contributors.

The participants can be people, organizations, or even software services (mainly used for new digital resources). This specification does not provide any unique identifiers for these providers (but does not preclude having such identifiers as `dynamic properties`).

Since:
  1.3
Version:
  $Id: BiblioProvider.java 2812 2003-07-16 16:01:11Z mrp $
Author:
  Martin Senger

Field Summary
`Hashtable` `properties` Additional properties used when the explicit attributes of the sub-classes are not sufficient.

Constructor Summary
`BiblioProvider()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    public Hashtable properties

  Additional properties used when the explicit attributes of the sub-classes are not sufficient.

Constructor Detail

### BiblioProvider

    public BiblioProvider()